Translated notifications shown in English

Bug #783967 reported by Hendrik Knackstedt on 2011-05-17
20
This bug affects 2 people
Affects Status Importance Assigned to Milestone
System Config Printer
Fix Released
Undecided
Unassigned
Ubuntu Translations
Medium
Unassigned
system-config-printer (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: system-config-printer

A lot of strings that are translated and have been displayed in German in Maverick before but do not seem to have changed are shown in English in Natty. This includes desktop notifications which are important and should appear in German. See attached screenshot for an example.

Another string is »%n document queued«. (https://translations.launchpad.net/ubuntu/natty/+source/system-config-printer/+pots/system-config-printer/de/+translate?batch=10&show=all&search=document+queued) This string has been translated in 2008!

All of these strings have been translated in Launchpad long before the release of Natty. Therefore it's not a translation bug but seems to be a package problem or some other bug.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: system-config-printer-common 1.3.1+20110222-0ubuntu16.1
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic i686
Architecture: i386
CupsErrorLog: E [16/May/2011:09:42:22 +0200] [Job 20] Keine %%Pages: Kommentar im Header!
Date: Tue May 17 14:34:36 2011
EcryptfsInUse: Yes
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110427.1)
Lpstat: device for DCP395CN: socket://speedport.ip:9100
MachineType: Hewlett-Packard HP Compaq 6715s (KE003ET#ABD)
PackageArchitecture: all
Papersize: a4
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
PpdFiles: DCP395CN: Brother DCP-395CN CUPS
ProcEnviron:
 LANGUAGE=de_DE:en
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-8-generic root=UUID=90900c0f-890e-430e-b0cf-ce35da6d4da7 ro quiet splash vt.handoff=7
SourcePackage: system-config-printer
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 07/16/2007
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: 68YTT Ver. F.07
dmi.board.name: 30C2
dmi.board.vendor: Hewlett-Packard
dmi.board.version: KBC Version 71.28
dmi.chassis.asset.tag: CNU8020KYZ
dmi.chassis.type: 10
dmi.chassis.vendor: Hewlett-Packard
dmi.modalias: dmi:bvnHewlett-Packard:bvr68YTTVer.F.07:bd07/16/2007:svnHewlett-Packard:pnHPCompaq6715s(KE003ET#ABD):pvrF.07:rvnHewlett-Packard:rn30C2:rvrKBCVersion71.28:cvnHewlett-Packard:ct10:cvr:
dmi.product.name: HP Compaq 6715s (KE003ET#ABD)
dmi.product.version: F.07
dmi.sys.vendor: Hewlett-Packard

Hendrik Knackstedt (hennekn) wrote :
David Planella (dpm) on 2011-05-17
Changed in ubuntu-translations:
status: New → Triaged
importance: Undecided → Medium
Gabor Kelemen (kelemeng) wrote :
Changed in system-config-printer (Ubuntu):
status: New → Confirmed
Changed in system-config-printer:
status: New → Confirmed
Till Kamppeter (till-kamppeter) wrote :

Tim, it happens very often that parts of system-config-printer appear untranslated in Natty. Can you check through the whole source code of s-c-p whether the translations get correctly initialized for all ways how code of s-c-p is called (printer setup tool, applet, job viewer, Plug'n'Print, ...)?

tags: added: patch
Tim Waugh (twaugh) wrote :

Thanks, applied.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package system-config-printer - 1.3.3+20110707-0ubuntu1

---------------
system-config-printer (1.3.3+20110707-0ubuntu1) oneiric; urgency=low

  * New upstream release
     o GIT 1.3.x snapshot from 2 June 2011
     o Changed Make/Model and State labels into a GtkEntry so contents are
       always fully selectable.
     o udev: don't rely on retriggering printers, enumerate them instead.
       (As Ubuntu uses Upstart and not systemd we need to update
       /etc/init/cups.conf to make use of the new functionality).
     o Convert iters to paths before comparing (Red Hat bug #717062,
       LP: #791690, Upstream bug #221). Tree iters cannot be compared, but
       paths can.
     o Set translation domain in D-Bus service (LP: #783967).
     o Driver preferencess: Avoid PostScript for HP LaserJet 2100 Series
       (Red Hat bug #710231). Avoid non-manufacturer PostScript drivers in
       this case. Some other drivertype names changed to avoid conflicts and
       mistaken matches.
     o Ensure consistency in jobviewer if add_job fails (Red Hat bugs #693055
       and #632551).
     o Raised the priority of the SpliX driver for Samsung laser printers, so
       that it is used as the default driver for these printers, and not
       "Foomatic/gdi" any more (LP: #793741).
     o Adjusted test code in asyncpk1.py so it doesn't look like a tempfile
       vulnerability.
  * debian/patches/20_priority-for-splix.patch: Removed, applied upstream.
  * debian/patches/10_do-not-show-firewall-dialog.patch: Removed, problem of the
    firewall dialog appearing is solved upstream.
 -- Till Kamppeter <email address hidden> Thu, 07 Jul 2011 19:09:44 +0200

Changed in system-config-printer (Ubuntu):
status: Confirmed → Fix Released
Gabor Kelemen (kelemeng) on 2011-11-29
Changed in ubuntu-translations:
status: Triaged → Fix Released
Changed in system-config-printer:
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers